org.jboss.jca.core.tx.noopts

## Class TransactionSynchronizationRegistryImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.TransactionSynchronizationRegistryImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.transaction.TransactionSynchronizationRegistry

      public class TransactionSynchronizationRegistryImpl
      extends java.lang.Object
      implements javax.transaction.TransactionSynchronizationRegistry, java.io.Serializable

  A transaction synchronization registry implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionSynchronizationRegistryImpl()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getResource(java.lang.Object key)`
    `boolean` | `getRollbackOnly()`
    `java.lang.Object` | `getTransactionKey()`
    `int` | `getTransactionStatus()`
    `void` | `putResource(java.lang.Object key, java.lang.Object value)`
    `void` | `registerInterposedSynchronization(javax.transaction.Synchronization sync)`
    `void` | `setRegistry(TxRegistry v)` Set the registry
    `void` | `setRollbackOnly()`
    `void` | `start()` Start
    `void` | `stop()` Stop

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionSynchronizationRegistryImpl

          public TransactionSynchronizationRegistryImpl()

      Constructor

  - ### Method Detail

    - #### setRegistry

          public void setRegistry(TxRegistry v)

      Set the registry
      Parameters:
        `v` - The value

    - #### getTransactionKey

          public java.lang.Object getTransactionKey()

      Specified by:
        `getTransactionKey` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### putResource

          public void putResource(java.lang.Object key,
                                  java.lang.Object value)

      Specified by:
        `putResource` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### getResource

          public java.lang.Object getResource(java.lang.Object key)

      Specified by:
        `getResource` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### registerInterposedSynchronization

          public void registerInterposedSynchronization(javax.transaction.Synchronization sync)

      Specified by:
        `registerInterposedSynchronization` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### getTransactionStatus

          public int getTransactionStatus()

      Specified by:
        `getTransactionStatus` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### setRollbackOnly

          public void setRollbackOnly()

      Specified by:
        `setRollbackOnly` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### getRollbackOnly

          public boolean getRollbackOnly()

      Specified by:
        `getRollbackOnly` in interface `javax.transaction.TransactionSynchronizationRegistry`

    - #### start

          public void start()
                     throws java.lang.Throwable

      Start
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### stop

          public void stop()
                    throws java.lang.Throwable

      Stop
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)